|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# AbstractAudioOutput Class Reference
(Phonon::AbstractAudioOutput)
[Phonon module]

Provides a common base class for all audio outputs. More...

     #include <Phonon>

Inherits QObject.

- List of all members, including inherited members

### Protected Functions

- AbstractAudioOutput ( AbstractAudioOutputPrivate & dd, QObject * parent )

- 7 protected functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 29 public functions inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 5 static public members inherited from QObject

## Detailed Description

Provides a common base class for all audio outputs.

See also AudioOutput.

## Member Function Documentation

### AbstractAudioOutput::AbstractAudioOutput ( AbstractAudioOutputPrivate & dd, QObject * parent ) `[protected]`